Вход | Регистрация
 

АТОЛ SMART.LITE как прошивать или как установить OpenVPN

АТОЛ SMART.LITE как прошивать или как установить OpenVPN
Я
   ZlyddeN
 
09.03.20 - 16:18
имеется ТСД Атол SMART.LITE на борту андроид.
Пытался через APK подсунуть OpenVPN connect - пишет не совместимое устройство.
На ФТП Атола нашел прошивку - заявлено наличие GAPPS. МОжет ПлейМаркет будет...
есть ли у кого инструкция как прошивать аппарат ? и лишаюсь ли я на него гарантии после этого?
   ДенисЧ
 
1 - 09.03.20 - 16:34
Насчёт гарантии - на 99.99% лишишься
   Garykom
 
2 - 09.03.20 - 16:41
(0) SP Flash Tool стандартный для MTK китайцев
   ZlyddeN
 
3 - 09.03.20 - 16:42
(2) киньте ссылкой, пожалуйста.
   ZlyddeN
 
4 - 09.03.20 - 16:42
(1) там где купили, говорят не занимаются таким. Ну или не умеют..
   ZlyddeN
 
5 - 09.03.20 - 16:45
(1) а как правильно их обновлять? в авторизованный СЦ тащить?
   Garykom
 
6 - 09.03.20 - 16:48
(3) https://4pda.ru/forum/index.php?showtopic=469340

Угу внутри прошивки стандартный скаттер MT6580_Android_scatter.txt
   ZlyddeN
 
7 - 09.03.20 - 20:35
(6) а по офф. каналам шьют? не ФТП не зря же прошивку выложили... :O
   arsik
 
8 - 09.03.20 - 22:14
Попробуй поставить wireguard (https://www.wireguard.com/install/)
Удобнее опенвпн, легковеснее и меньше жрет батарею. Ну и возможно без танцев поставится.
   ZlyddeN
 
9 - 10.03.20 - 10:48
(8) к сожалению на данный момент тока OpenVPN (в pfSense из каробки нету его в пакетах)
   Djelf
 
10 - 10.03.20 - 11:05
(9) А ты все таки попробуй подсунуть apk https://f-droid.org/en/packages/com.wireguard.android/
В apk есть либа на armeabi-v7a, а это как раз соответствует MT6580, ну и минимальные требования 5 андроид, а тебя 7й.
Должно взлететь...
   ZlyddeN
 
11 - 10.03.20 - 11:13
(10) этож отдельный сервер для WireGuard поднимать придется....
   Djelf
 
12 - 10.03.20 - 11:16
(11) Так на том же где OpenVPN можно поднять. WireGuard очень легко поднимается, без всяких бубнов и заклинаний.
Или поищи OpenVPN собранный для MT6580. "не совместимое устройство." это ерунда, может ты случайно под x86 apk скачал...
   ZlyddeN
 
13 - 10.03.20 - 11:26
(12) я с 4pda файл APK скачивал...
   Djelf
 
14 - 10.03.20 - 11:47
(13) С 4pda последняя версия с ABI 27, это android 8.1, а у тебя 7й. Попробуй более старую версию.
   ZlyddeN
 
15 - 10.03.20 - 12:15
(14) а насколько старую? :O и как понять по APK файлу что он без этого ABI27 ? :O
   ZlyddeN
 
16 - 10.03.20 - 12:17
(14) попробую 3.1.0, на моем смартфоне андроид 7.1, и там работает 3.1.0 из Плей Маркета
   Djelf
 
17 - 10.03.20 - 12:22
(15) Навалом программ для работы с apk есть.
А OpenVPN_Connect_3.0.7.apk можно просто распаковать 7z, и в OpenVPN_Connect_3.0.7\META-INF\com.android.support_appcompat-v7.version 27.0.0
Из маркета 3.1.0 может скачаться именно под твою версию android, это не показатель.
   Garykom
 
18 - 10.03.20 - 12:22
(12) wireguard для freebsd пока нет, ожидается в ближайшее время
   arsik
 
19 - 10.03.20 - 12:33
(18) Есть https://www.wireguard.com/install/
Его нет для pfSense. Точнее есть какая то поделка.
   Garykom
 
20 - 10.03.20 - 12:37
(19) Не для всех версий FreeBSD есть и только недавно походу в какую то добавили.
   Djelf
 
21 - 10.03.20 - 13:02
(18) Вот проблема то что не поддерживается... Сервера 1С у (0) на дебиане, проброс порта и вопрос решен.
   ZlyddeN
 
22 - 11.03.20 - 02:45
(17) спасибо добрый человек! 3.0.7 с 4PDA установилось
(21) (20) к WireGuard присматриваюсь, это да, но пока не готов...


Список тем форума
Рекламное место пустует  Рекламное место пустует
ВНИМАНИЕ! Если вы потеряли окно ввода сообщения, нажмите Ctrl-F5 или Ctrl-R или кнопку "Обновить" в браузере.